## NMSettingGsm NMSettingGsm |

## Synopsis

    #define             NM_SETTING_GSM_SETTING_NAME
    enum                NMSettingGsmError;
    #define             NM_TYPE_SETTING_GSM_ERROR
    #define             NM_SETTING_GSM_ERROR
    GQuark              nm_setting_gsm_error_quark          (void);
    #define             NM_SETTING_GSM_NUMBER
    #define             NM_SETTING_GSM_USERNAME
    #define             NM_SETTING_GSM_PASSWORD
    #define             NM_SETTING_GSM_APN
    #define             NM_SETTING_GSM_NETWORK_ID
    #define             NM_SETTING_GSM_NETWORK_TYPE
    #define             NM_SETTING_GSM_BAND
    #define             NM_SETTING_GSM_PIN
    #define             NM_SETTING_GSM_PUK
                        NMSettingGsm;
    GType               nm_setting_gsm_get_type             (void);
    NMSetting*          nm_setting_gsm_new                  (void);
    const char*         nm_setting_gsm_get_number           (NMSettingGsm *setting);
    const char*         nm_setting_gsm_get_username         (NMSettingGsm *setting);
    const char*         nm_setting_gsm_get_password         (NMSettingGsm *setting);
    const char*         nm_setting_gsm_get_apn              (NMSettingGsm *setting);
    const char*         nm_setting_gsm_get_network_id       (NMSettingGsm *setting);
    int                 nm_setting_gsm_get_network_type     (NMSettingGsm *setting);
    int                 nm_setting_gsm_get_band             (NMSettingGsm *setting);
    const char*         nm_setting_gsm_get_pin              (NMSettingGsm *setting);
    const char*         nm_setting_gsm_get_puk              (NMSettingGsm *setting);

## Object Hierarchy

      GObject
       +----NMSetting
             +----NMSettingGsm

## Properties

      "apn"                      gchararray            : Read / Write
      "band"                     gint                  : Read / Write / Construct
      "network-id"               gchararray            : Read / Write
      "network-type"             gint                  : Read / Write / Construct
      "number"                   gchararray            : Read / Write
      "password"                 gchararray            : Read / Write
      "pin"                      gchararray            : Read / Write
      "puk"                      gchararray            : Read / Write
      "username"                 gchararray            : Read / Write

## Description

## Details

### NM_SETTING_GSM_SETTING_NAME

    #define NM_SETTING_GSM_SETTING_NAME "gsm"

### enum NMSettingGsmError

    typedef enum
    {
    	NM_SETTING_GSM_ERROR_UNKNOWN = 0,
    	NM_SETTING_GSM_ERROR_INVALID_PROPERTY,
    	NM_SETTING_GSM_ERROR_MISSING_PROPERTY,
    	NM_SETTING_GSM_ERROR_MISSING_SERIAL_SETTING
    } NMSettingGsmError;

### NM_TYPE_SETTING_GSM_ERROR

    #define NM_TYPE_SETTING_GSM_ERROR (nm_setting_gsm_error_get_type ())

### NM_SETTING_GSM_ERROR

    #define NM_SETTING_GSM_ERROR nm_setting_gsm_error_quark ()

### nm_setting_gsm_error_quark ()

    GQuark              nm_setting_gsm_error_quark          (void);

Returns : |

### NM_SETTING_GSM_NUMBER

    #define NM_SETTING_GSM_NUMBER       "number"

### NM_SETTING_GSM_USERNAME

    #define NM_SETTING_GSM_USERNAME     "username"

### NM_SETTING_GSM_PASSWORD

    #define NM_SETTING_GSM_PASSWORD     "password"

### NM_SETTING_GSM_APN

    #define NM_SETTING_GSM_APN          "apn"

### NM_SETTING_GSM_NETWORK_ID

    #define NM_SETTING_GSM_NETWORK_ID   "network-id"

### NM_SETTING_GSM_NETWORK_TYPE

    #define NM_SETTING_GSM_NETWORK_TYPE "network-type"

### NM_SETTING_GSM_BAND

    #define NM_SETTING_GSM_BAND         "band"

### NM_SETTING_GSM_PIN

    #define NM_SETTING_GSM_PIN          "pin"

### NM_SETTING_GSM_PUK

    #define NM_SETTING_GSM_PUK          "puk"

### NMSettingGsm

    typedef struct _NMSettingGsm NMSettingGsm;

### nm_setting_gsm_get_type ()

    GType               nm_setting_gsm_get_type             (void);

Returns : |

### nm_setting_gsm_new ()

    NMSetting*          nm_setting_gsm_new                  (void);

Returns : |

### nm_setting_gsm_get_number ()

    const char*         nm_setting_gsm_get_number           (NMSettingGsm *setting);

`setting` : |
Returns : |

### nm_setting_gsm_get_username ()

    const char*         nm_setting_gsm_get_username         (NMSettingGsm *setting);

`setting` : |
Returns : |

### nm_setting_gsm_get_password ()

    const char*         nm_setting_gsm_get_password         (NMSettingGsm *setting);

`setting` : |
Returns : |

### nm_setting_gsm_get_apn ()

    const char*         nm_setting_gsm_get_apn              (NMSettingGsm *setting);

`setting` : |
Returns : |

### nm_setting_gsm_get_network_id ()

    const char*         nm_setting_gsm_get_network_id       (NMSettingGsm *setting);

`setting` : |
Returns : |

### nm_setting_gsm_get_network_type ()

    int                 nm_setting_gsm_get_network_type     (NMSettingGsm *setting);

`setting` : |
Returns : |

### nm_setting_gsm_get_band ()

    int                 nm_setting_gsm_get_band             (NMSettingGsm *setting);

`setting` : |
Returns : |

### nm_setting_gsm_get_pin ()

    const char*         nm_setting_gsm_get_pin              (NMSettingGsm *setting);

`setting` : |
Returns : |

### nm_setting_gsm_get_puk ()

    const char*         nm_setting_gsm_get_puk              (NMSettingGsm *setting);

`setting` : |
Returns : |

## Property Details

### The `"apn"` property

      "apn"                      gchararray            : Read / Write

APN.

Default value: NULL

### The `"band"` property

      "band"                     gint                  : Read / Write / Construct

Band.

Allowed values: [-1,5]

Default value: -1

### The `"network-id"` property

      "network-id"               gchararray            : Read / Write

Network ID (GSM LAI format).

Default value: NULL

### The `"network-type"` property

      "network-type"             gint                  : Read / Write / Construct

Network type.

Allowed values: [-1,2]

Default value: -1

### The `"number"` property

      "number"                   gchararray            : Read / Write

Number.

Default value: NULL

### The `"password"` property

      "password"                 gchararray            : Read / Write

Password.

Default value: NULL

### The `"pin"` property

      "pin"                      gchararray            : Read / Write

PIN.

Default value: NULL

### The `"puk"` property

      "puk"                      gchararray            : Read / Write

PUK.

Default value: NULL

### The `"username"` property

      "username"                 gchararray            : Read / Write

Username.

Default value: NULL